#!/bin/sh

name="centericq"
title="CenterICQ"
package="centericq"
version="4.9.2"
build="1"
noarch="n"
build_info="Standard build."

info="Console client for ICQ, Yahoo!, AIM, MSN, IRC and Jabber."
desc="centericq is a text mode menu- and window-driven IM interface
that supports the ICQ2000, Yahoo!, AIM, MSN, IRC, and Jabber
protocols. It allows you to send, receive, and forward messages,
URLs, SMSes (both through the ICQ server and email gateways
supported by Mirabilis), contacts, and email express messages,
and it has many other useful features."
category="net/client/im"
environment="console/curses"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,BEWARE,ChangeLog,COPYRIGHT,GPL,INSTALL,NEWS,README*,TODO,VERSION"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://konst.org.ua/download/$name-$version.tar.bz2

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: centericq.builder,v $
# Revision 1.7  2003/01/20 20:51:18  swiergot
# - Build 1.
#
# Revision 1.6  2003/01/20 19:50:03  swiergot
# - Version 4.9.2.
# - Use tar.bz2 instead of tar.gz as source.
#
# Revision 1.5  2002/12/28 15:36:07  swiergot
# - Build 1.
#
# Revision 1.4  2002/12/28 15:16:05  swiergot
# - Seems like source in tar.bz2 format is not available. Use tar.gz instead.
#
# Revision 1.3  2002/12/28 15:03:31  swiergot
# - Version 4.9.1.
# - Changed info and desc.
# - Fixed category.
# - Cosmetics.
#
# Revision 1.2  2002/12/26 14:50:59  stoodi
# - Build 1.
#
# Revision 1.1  2002/12/26 14:38:59  stoodi
# - Initial release.
# - Version 4.9.0
#
